using System.ComponentModel;

namespace Earthblend.Tts.Common.Core.Enumerations
{
    public enum MathSymbolType
    {
        [Description("Ampersand")] Ampersand,
        [Description("Answer")] Answer,
        [Description("At")] At,
        [Description("Backslash")] Backslash,
        [Description("Boolean")] Boolean,
        [Description("Caption")] Caption,
        [Description("Caret")] Caret,
        //[Description("CirclePointFunction")] CirclePointFunction,
        [Description("Colon")] Colon,
        [Description("Comma")] Comma,
        //[Description("CommandBlock")] CommandBlock,
        //[Description("CompilerPlot")] CompilerPlot,
        [Description("CompoundTerm")] CompoundTerm,
        [Description("CodeBlock")] CodeBlock,
        [Description("Constant")] Constant,
        [Description("DynamicMesh")] DynamicMesh,
        [Description("Degrees")] Degrees,
        //[Description("DeltaVariable")] DeltaVariable,
        //[Description("Denominator")] Denominator,
        [Description("Description")] Description,
        //[Description("Derive")] Derive,
        [Description("DollarSign")] DollarSign,
        [Description("Double")] Double,
        [Description("EmptySet")] EmptySet,
        [Description("EndBlock")] EndBlock,
        //[Description("Equation")] Equation,
        [Description("Equals")] Equals,
        //[Description("EqualsSummation")] EqualsSummation,
        [Description("EquationVariable")] EquationVariable,
        //[Description("EquationVariableLookUp")] EquationVariableLookUp,
        [Description("ExclamationMark")] ExclamationMark,
        //[Description("FlowChart")] FlowChart,
        [Description("ForLoop")] ForLoop,
        [Description("ForwardSlash")] ForwardSlash,
        [Description("Fraction")] Fraction,
        [Description("Function")] Function,
        [Description("FunctionVariable")] FunctionVariable,
        //[Description("GenerateCube")] GenerateCube,
        [Description("GreaterThan")] GreaterThan,
        [Description("GreaterThanOrEqualTo")] GreaterThanOrEqualTo,
        //[Description("GroupingOperator")] GroupingOperator,
        //[Description("Integer")] Integer,
        [Description("Image")] Image,
        [Description("Integral")] Integral,
        [Description("IntegralTerm")] IntegralTerm,
        [Description("Intersect")] Intersect,
        [Description("IsElementOf")] IsElementOf,
        [Description("IsNotElementOf")] IsNotElementOf,

        [Description("IsSubsetOf")] IsSubsetOf,
        [Description("IsSupersetOf")] IsSupersetOf,
        [Description("IsProperSubsetOf")] IsProperSubsetOf,
        [Description("IsProperSupersetOf")] IsProperSupersetOf,
        [Description("Label")] Label,
        [Description("LeftAbs")] LeftAbs,
        [Description("LeftAbsPower")] LeftAbsPower,
        [Description("LeftCardinality")] LeftCardinality,

        [Description("LeftBrace")] LeftBrace,
        [Description("LeftSetBrace")] LeftSetBrace,
        [Description("LeftBracket")] LeftBracket,
        [Description("LeftBracketIntegral")] LeftBracketIntegral,
        [Description("LeftParan")] LeftParan,
        [Description("LeftParanAddSet")] LeftParanAddSet,
        [Description("LeftParanFactorial")] LeftParanFactorial,
        [Description("LeftParanLinked")] LeftParanLinked,
        //[Description("LeftParanMarker")] LeftParanMarker,
        [Description("RightParanNRoot")] LeftParanNRoot,
        [Description("LeftParanPower")] LeftParanPower,
        [Description("LeftParanPowerAlpha")] LeftParanPowerAlpha,
        [Description("LeftParanPowerSquareRoot")] LeftParanPowerSquareRoot,
        [Description("LeftParanSummation")] LeftParanSummation,
        //[Description("LeftParanCirclePoint")] LeftParanCirclePoint,
        [Description("LessThan")] LessThan,
        [Description("LessThanOrEqualTo")] LessThanOrEqualTo,
        [Description("Limit")] Limit,
        //[Description("Linear")] Linear,
        [Description("Literal")] Literal,
        //[Description("LiteralWithSpace")] LiteralWithSpace,
        [Description("LookupVariable")] LookupVariable,
        [Description("MathFunction")] MathFunction,
        //[Description("Namespace")] Namespace,
        [Description("NotForCompile")] NotForCompile,
        [Description("Number")] Number,
        //[Description("Numerator")] Numerator,
        [Description("NumberSign")] NumberSign,
        //[Description("NumericTerm")] NumericTerm,
        [Description("Int16")] Int16,
        [Description("Int32")] Int32,
        //[Description("Int64")] Int64,
        //[Description("Long")] Long,
        //[Description("NumberSummationTo")] NumberSummationTo,
        //[Description("NumberSummationFrom")] NumberSummationFrom,
        [Description("Model3D")] Model3D,
        [Description("Of")] Of,
        [Description("Operator")] Operator,
        //[Description("ParametricVariable")] ParametricVariable,
        [Description("ParametricVariableSuperscript")] ParametricVariableSuperscript,
        //[Description("ParametricSummationShellVariable")] ParametricSummationShellVariable,
        //[Description("ParametricSummationSubscriptVariable")] ParametricSummationSubscriptVariable,
        [Description("PercentSign")] PercentSign,
        [Description("Permute")] Permute, //⚙


        [Description("Period")] Period,
        [Description("Pi")] Pi,

        [Description("QuestionMark")] QuestionMark,
        [Description("RelativeComplement")] RelativeComplement,
        //[Description("Return")] Return,
        [Description("RightCardinality")] RightCardinality,

        [Description("RightAbs")] RightAbs,
        [Description("RightAbsPower")] RightAbsPower,
        [Description("RightBrace")] RightBrace,
        [Description("RightSetBrace")] RightSetBrace,
        [Description("RightBracket")] RightBracket,
        [Description("RightBracketIntegral")] RightBracketIntegral,
        [Description("RightParan")] RightParan,
        [Description("RightParanAddSet")] RightParanAddSet,
        [Description("RightParanFactorial")] RightParanFactorial,
        //[Description("RightParanMarker")] RightParanMarker,
        [Description("RightParanLinked")] RightParanLinked,
        [Description("RightParanNRoot")] RightParanNRoot,
        [Description("RightParanPower")] RightParanPower,
        [Description("RightParanPowerAlpha")] RightParanPowerAlpha,
        [Description("RightParanPowerSquareRoot")] RightParanPowerSquareRoot,
        [Description("RightParanSummation")] RightParanSummation,
        //[Description("RightParanCirclePoint")] RightParanCirclePoint,
        [Description("SemiColon")] SemiColon,
        [Description("Set")] Set,
        [Description("SetEquation")] SetEquation,
        //[Description("SpecialOperator")] SpecialOperator,
        [Description("SquareRoot")] SquareRoot,
        [Description("NRoot")] NRoot,
        [Description("Space")] Space,
        [Description("StartBlock")] StartBlock,
        [Description("Subscript")] Subscript,
        [Description("Summation")] Summation,
        [Description("Superscript")] Superscript,
        [Description("SymmetricDifference")] SymmetricDifference,
        //[Description("TargetValue")] TargetValue,
        [Description("Term")] Term,
        [Description("Underscore")] Underscore,
        [Description("Union")] Union,
        [Description("Unknown")] Unknown,
        [Description("Uom")] Uom,
        [Description("Variable")] Variable,
        [Description("VariableDefinition")] VariableDefinition,

        //[Description("AlkaliMetal")] AlkaliMetal,
        //[Description("AlkalineEarth")] AlkalineEarth,
        //[Description("Actinide")] Actinide,
        //[Description("BasicMetal")] BasicMetal,
        //[Description("Halogen")] Halogen,
        //[Description("Lanthanide")] Lanthanide,
        //[Description("NobleGas")] NobleGas,
        //[Description("NonMetal")] NonMetal,
        //[Description("SemiMetal")] SemiMetal,
        //[Description("SuperHeavy")] SuperHeavy,
        //[Description("Theoretical")] Theoretical,
        //[Description("TransitionMetal")] TransitionMetal,

    }
}